Subject: A test suite for QUIC

From: Maxime Piraux <[email-masked]>
Date: Fri, 9 Mar 2018 10:33:51 +0000

Dear all,

I am working at UCLouvain with Quentin De Coninck and Olivier Bonaventure on a test suite for IETF QUIC. I have implemented a minimal client library, based on which I wrote test scenarii. It is currently draft-09 and TLS-1.3-draft-23 compatible. Each scenario is aimed at testing a particular feature of QUIC. A host runs the test suite daily and its results are available at https://quic-tracker.info.ucl.ac.be/. All public test servers as listed in the working group's GitHub wiki are tested currently.

For each test, a result comprising the full decrypted bytes exchanged during the test is included and can be viewed directly on the website. Each packet is dissected a la Wireshark. Some tests only collect metrics about the implementation, others do real testing of the implementation behavior with regard to the specification.

The website is certainly not perfectly user-friendly at the moment, but I hope it will provide you interesting facts about the public implementations.

I have plans to implement a lot more test scenarii in the near future. The source code will be released as indicated in the About page before IETF 101.
I will take part in the IETF 101 Hackathon. This is a good opportunity if you wish to provide me some feedback about my work and what I can improve.
You can of course also contact me by email in the meantime.

Best regards,
Maxime Piraux